<?php
	$rdata = array_map('to_utf8', array_map('nl2br', array_map('html_attr_tags_ok', $rdata)));
	$jdata = array_map('to_utf8', array_map('nl2br', array_map('html_attr_tags_ok', $jdata)));
?>
<script>
	$j(function(){
		var tn = 'versements';

		/* data for selected record, or defaults if none is selected */
		var data = {
			code: <?php echo json_encode(array('id' => $rdata['code'], 'value' => $rdata['code'], 'text' => $jdata['code'])); ?>,
			compte: <?php echo json_encode(array('id' => $rdata['compte'], 'value' => $rdata['compte'], 'text' => $jdata['compte'])); ?>,
			titulaire: <?php echo json_encode($jdata['titulaire']); ?>
		};

		/* initialize or continue using AppGini.cache for the current table */
		AppGini.cache = AppGini.cache || {};
		AppGini.cache[tn] = AppGini.cache[tn] || AppGini.ajaxCache();
		var cache = AppGini.cache[tn];

		/* saved value for code */
		cache.addCheck(function(u, d){
			if(u != 'ajax_combo.php') return false;
			if(d.t == tn && d.f == 'code' && d.id == data.code.id)
				return { results: [ data.code ], more: false, elapsed: 0.01 };
			return false;
		});

		/* saved value for code autofills */
		cache.addCheck(function(u, d){
			if(u != tn + '_autofill.php') return false;

			for(var rnd in d) if(rnd.match(/^rnd/)) break;

			if(d.mfk == 'code' && d.id == data.code.id){
				$j('#titulaire' + d[rnd]).html(data.titulaire);
				return true;
			}

			return false;
		});

		/* saved value for compte */
		cache.addCheck(function(u, d){
			if(u != 'ajax_combo.php') return false;
			if(d.t == tn && d.f == 'compte' && d.id == data.compte.id)
				return { results: [ data.compte ], more: false, elapsed: 0.01 };
			return false;
		});

		cache.start();
	});
</script>

